import Utils from '@/utils/utils.js'
import zhCN from '@/locales/zh-CN/model.js'
import enUS from '@/locales/en-US/model.js'

const CommonDict = sessionStorage.getItem('lang') !== 'en-US' ? zhCN : enUS

class CommonTableBaseData {
  baseConfig = {
    type: 'system',
    Template: 'TreePage',
    enabled: false,
    setting: {
      tableName: '',
      title: 'Tree',
      order: '',
      dataresource: '',
      interType: 'inner',
      sysInterface: 'false',
      searchable: 'true',
      innerFunc: '',
      interface: '',
      outerFunc: '',
      width: 5
    },
    tabgroups: [{
      uuid: 'tabs',
      sublist: [
        {
          origin: true,          // 是否为示例
          uuid: Utils.getuuid(),
          label: 'tab1',
          type: 'SubTable',
          linkTab: '',
          supMenu: ''
        },
        {
          origin: true,
          uuid: Utils.getuuid(),
          label: 'tab2',
          type: 'SubTable',
          linkTab: '',
          supMenu: ''
        }
      ]
    }]
  }

  tabItems = [
    {
      type: 'tabs',
      label: CommonDict['model.menu.tab.subtable'],
      subType: 'SubTable',
    }
  ]
}

export default new CommonTableBaseData()
